Subject: Re: [Bitcoin-development] ECDH in the payment protocol

From: Pieter Wuille <[email-masked]>
Date: Fri, 9 May 2014 17:50:33 +0200

I believe stealth addresses and the payment protocol both have their
use cases, and that they don't overlap.

If you do not want to communicate with the receiver, you typically do
not want them to know who is paying or for what (otherwise you're
already talking to them in some way, right?). That's perfect for
things like anonymous donations.

In pretty much every other case, communicating directly with the
receiver has benefits. Negotiation of the transaction details,
messages associated with the transaction, refund information, no need
to scan the blockchain for incoming transaction... and the ability to
cancel if either party doesn't agree.

Instead of adding stealth functionality to the payment protocol as a
last resort, I'd rather see the payment protocol improve its
atomicity. Either you want the data channel sender->receiver, or you
don't. If it isn't available and you want it, things should fail. If
you don't want it, you shouldn't try to use it in the first place.

On Fri, May 9, 2014 at 5:34 PM, Mike Hearn <[email-masked]> wrote:
>> Ah, you're still misunderstanding my point: You can get atomicity in the
>> worst-case where the communications medium fails *and* stealth payments
>> that use up no extra space in the blockchain. This gives you the best of
>> both worlds.
>
>
> Sounds great! How does a lightweight client identify such transactions
> without any markers?
>
> Regardless, there are lots of other useful features that require BIP70 to
> work well person to person, like messages, refund addresses, etc. So
> extending it with ECDH makes sense in the end anyway no matter what.
>
> ------------------------------------------------------------------------------
> Is your legacy SCM system holding you back? Join Perforce May 7 to find out:
> &#149; 3 signs your SCM is hindering your productivity
> &#149; Requirements for releasing software faster
> &#149; Expert tips and advice for migrating your SCM now
> http://p.sf.net/sfu/perforce
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>